Subject: RE: [seamoby] Issue 2: Make IP messages uniform

From: Nakhjiri Madjid-MNAKHJI1 <[email-masked]>
Date: Mon, 2 Jul 2001 14:00:36 -0500

-----Original Message-----
From: Rajeev Koodli [mailto:[email-masked]]
Sent: Thursday, June 28, 2001 5:59 PM
To: Nakhjiri Madjid-MNAKHJI1
Cc: Kulwinder Atwal; 'Pat Calhoun'; [email-masked]
Subject: Re: [seamoby] Issue 2: Make IP messages uniform

Nakhjiri Madjid-MNAKHJI1 wrote:

> Exactly. As soon as the MN detects that it has undergone handover, it
sends
> a
> message which includes BU as an encapsulation. The new AR sends the CT
> message
> towards the old AR and the BU towards the mobility agent.
> We proposed this (the message is SHIN) in our -smoothv6-.txt draft (in
> Pittsburgh IETF).
>
> MN>> Rajeev, sorry I have not read the draft, so I am trying
> to see if I understand this.
> Could you define: "MN detects it has undergone handover",
> is it L2 signals from oldAR, PrRtAdv, L2 establishment at newAR?
>

Rajeev: This is through router advertisements on the new link. Recall that
we
are focussing on the scenario where a MN lost its existing link and regained
another without time for anything such as fast handovers. Through router
advertisement, the MN recognizes that it is on a new AR. It *could* detect
that it has changed L2, but may not be able to ascertain that it has changed
its AR. Using router advertisements is definitive.

MN>> Rajeev, well, it would be interesting to see a network that just
admits the mobile on the new link without doing an admission control
and allocating resources for the mobile!!
What I mean, the new link need to first make a bunch of decisions
based on capacity, link conditions and so on, to accept the mobile.
So you can bet that if you have policy.. based admissions, you have
 that L2 trigger prior to a default router selection, don't you?

So we can do better than sitting and waiting for default router 
selection to wait for CT.

Madjid